org.eclipse.aether.version

## Interface VersionScheme

- All Known Implementing Classes:
    GenericVersionScheme

      public interface VersionScheme

  A version scheme that handles interpretation of version strings to facilitate their comparison.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Version` | `parseVersion(String version)` Parses the specified version string, for example "1.0".
    `VersionConstraint` | `parseVersionConstraint(String constraint)` Parses the specified version constraint specification, for example "1.0" or "[1.0,2.0),(2.0,)".
    `VersionRange` | `parseVersionRange(String range)` Parses the specified version range specification, for example "[1.0,2.0)".

- - ### Method Detail

    - #### parseVersion

          Version parseVersion(String version)
                               throws InvalidVersionSpecificationException

      Parses the specified version string, for example "1.0".
      Parameters:
        `version` - The version string to parse, must not be `null`.
      Returns:
        The parsed version, never `null`.
      Throws:
        `InvalidVersionSpecificationException` - If the string violates the syntax rules of this scheme.

    - #### parseVersionRange

          VersionRange parseVersionRange(String range)
                                         throws InvalidVersionSpecificationException

      Parses the specified version range specification, for example "[1.0,2.0)".
      Parameters:
        `range` - The range specification to parse, must not be `null`.
      Returns:
        The parsed version range, never `null`.
      Throws:
        `InvalidVersionSpecificationException` - If the range specification violates the syntax rules of this scheme.

    - #### parseVersionConstraint

          VersionConstraint parseVersionConstraint(String constraint)
                                                   throws InvalidVersionSpecificationException

      Parses the specified version constraint specification, for example "1.0" or "[1.0,2.0),(2.0,)".
      Parameters:
        `constraint` - The constraint specification to parse, must not be `null`.
      Returns:
        The parsed version constraint, never `null`.
      Throws:
        `InvalidVersionSpecificationException` - If the constraint specification violates the syntax rules of this scheme.

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.